com.aliyun.player

## Enum IPlayer.MirrorMode

- java.lang.Object
- - java.lang.Enum<IPlayer.MirrorMode>
  - - com.aliyun.player.IPlayer.MirrorMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.MirrorMode>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.MirrorMode
      extends java.lang.Enum<IPlayer.MirrorMode>

  Mirroring modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIRROR_MODE_HORIZONTAL` Horizontal mirroring.
    `MIRROR_MODE_NONE` Disable mirroring.
    `MIRROR_MODE_VERTICAL` Vertical mirroring.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Query the value of the specified parameter.
    `static IPlayer.MirrorMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.MirrorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIRROR_MODE_NONE

          public static final IPlayer.MirrorMode MIRROR_MODE_NONE

      Disable mirroring.

    - #### MIRROR_MODE_HORIZONTAL

          public static final IPlayer.MirrorMode MIRROR_MODE_HORIZONTAL

      Horizontal mirroring.

    - #### MIRROR_MODE_VERTICAL

          public static final IPlayer.MirrorMode MIRROR_MODE_VERTICAL

      Vertical mirroring.

  - ### Method Detail

    - #### values

          public static IPlayer.MirrorMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.MirrorMode c : IPlayer.MirrorMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.MirrorMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Query the value of the specified parameter.
      Returns:
        The returned value.